Version 2.7.2 commited to the master branch

I committed changes fixes added to the bugfix branch to the master branch tonight. In doing so the version reported by the portal will be v2.7.2. This is a bug fix release and does not add any new features. However, it does fix a major outstanding issue or two.

  • Dump1090-fa (FlightAware) should now install properly on all supported operating systems.
  • Dump1090-fa (FlightAware) data is now parsed properly and saved to SQLite and MySQL/MariaDB databases.

I am in the midst of a total rewrite of basically everything making up this project. I will admit testing was done quickly. Everything looked good on my end but as always I urge everyone first backup their environment first before upgrading.

1 Like

upgraded, … working , … zzzzzz :sleeping:

I’ve tried updating mine as well.
According to system info, the portal version is 2.7.0
image

One other issue I’ve found, when I try to access a previous flight, the page opens but there’s no map, no flight details, nothing.

bidouilleur

upgraded, … working , … zzzzzz :sleeping:

So I take it either the upgrade worked or it did not and got stuck somewhere?

joemate

Can you check /var/log/lighttpd/error.log and look for any error messages pertaining to PHP and either upgrade*.php or flights.php? If you find any if you can post them I can help you out.

Nothing related to upgrade or any other php files.

2019-05-02 08:32:52: (log.c.217) server started
2019-05-02 08:41:11: (server.c.1828) server stopped by UID = 0 PID = 1
2019-05-02 08:41:11: (log.c.217) server started
2019-05-02 08:41:13: (server.c.1828) server stopped by UID = 0 PID = 1
2019-05-02 08:41:13: (log.c.217) server started
2019-05-02 09:00:25: (server.c.1828) server stopped by UID = 0 PID = 1
2019-05-02 09:00:46: (log.c.217) server started
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr: PHP Fatal error:  Uncaught PDOException: SQLSTATE[HY000] [2002] No such file or directory in /var/www/html/classes/common.class.php:63
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr: Stack trace:
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr: #0 /var/www/html/classes/common.class.php(63): PDO->__construct('mysql:host=loca...', 'edited', 'edited')
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr: #1 /var/www/html/classes/common.class.php(93): common->pdoOpen()
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr: #2 /var/www/html/api/system.php(122): common->getSetting('networkInterfac...')
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr: #3 /var/www/html/api/system.php(48): getNetworkInformation()
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr: #4 {main}
2019-05-02 09:00:46: (mod_fastcgi.c.2543) FastCGI-stderr:   thrown in /var/www/html/classes/common.class.php on line 63

I’ve used this to upgrade:

cd ~/adsb-receiver
./install.sh

Is it outdated?

joemate
In the file /var/www/html/classes/settings.class.php what is the value for db_driver?

    const db_driver = 'mysql';

yep upgrade went smooth, just ran the script, said ok where needed and that’s it … humming happily … waiting for the major release to come.

Good to hear just checking. There was a commit I forgot to push so wanted to make sure.

Just updated, ran:

cd ~/adsb-receiver
./install.sh

Downloaded a bunch of updates, went through the installer process, rebooted but portal version is still showing as 2.6.3

piaware -v
3.5.3

Any thoughts?

Did you pull the latest versions of the scripts from the GitHub repository? v2.6.3 might not update the scripts properly on its own so try doing so manually by running the following commands from within the ~/adsb-receiver directory.

git fetch --all
git reset --hard master

Ran commands, Still does not update.
Manually updated FlightAware to 3.7.1, working fine but Portal is still 2.6.3
Will live with it for now.
Looking forward to the new release!

Hello Joe.

Tried the suggestion of git fetch --all, results below. Is there anything else? I tried this on two Pi’s both seem to be stuck at 2.6.3. Functional and worse things could be happening especially with 3.0 around the corner anyways but wouldnt mind running the latest. :slight_smile:

From https://github.com/jprochazka/adsb-receiver
f767266…65efe86 master -> origin/master

  • [new branch] 2.x -> origin/2.x
  • [new branch] 3.0 -> origin/3.0
  • [new branch] bugfix -> origin/bugfix
  • [new tag] v2.6.3 -> v2.6.3
    pi@ADSB:~/adsb-receiver $ git reset --hard master
    HEAD is now at f767266 Merge pull request #444 from jprochazka/2.6.3

New here. Thanks for a great product. I also am stuck at 2.6.3

From what my new eyes can tell the “master” branch doesn’t include 2.7.2. I also can’t seem to find a way to upgrade/install this build. I’ve run the suggested commands above with the same results…

Anyone still monitor this? I haven’t seen much activity and wouldn’t mind trying 2.7.2

Figured it out:

cd ~/adsb-receiver
git init
git pull origin master
./install.sh

2 Likes

Thank you! Was finally able to get 2.7.2 installed. I wish I had read this before spending several hours trying to get 2.7.2 to work on a new installation using Buster though.